Monad
Create Claim Rewards Request
Create a request to claim the accumulated staking rewards and transfer them to the delegator balance.
POST
/
api
/
v2
/
monad
/
{network}
/
delegators
/
{delegatorAddress}
/
stakes
/
claim-rewards
Create Claim Rewards Request
curl --request POST \
--url https://api.p2p.org/api/api/v2/monad/{network}/delegators/{delegatorAddress}/stakes/claim-rewards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gas": {
"priorityPricePerGas": "21000",
"maxPricePerGas": "1000000000"
}
}
'import requests
url = "https://api.p2p.org/api/api/v2/monad/{network}/delegators/{delegatorAddress}/stakes/claim-rewards"
payload = { "gas": {
"priorityPricePerGas": "21000",
"maxPricePerGas": "1000000000"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gas: {priorityPricePerGas: '21000', maxPricePerGas: '1000000000'}})
};
fetch('https://api.p2p.org/api/api/v2/monad/{network}/delegators/{delegatorAddress}/stakes/claim-rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"createdAt": "2025-05-06T10:40:00.000Z",
"delegatorAddress": "0x1234567890abcdef1234567890abcdef12345678",
"gas": {
"gasLimit": "260850",
"priorityPricePerGas": "1000000000",
"maxPricePerGas": "2000000000"
},
"unsignedTransaction": "0x02f8758301e24004...",
"validatorId": 1
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Monad network:
- `mainnet` — Monad mainnet.
- `testnet` — Monad testnet.
Available options:
testnet, mainnet Delegator address on the Monad network.
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Body
application/json
Computational effort required to execute the transaction measured in gas units. If not specified, default gas settings are used.
Show child attributes
Show child attributes
Create Claim Rewards Request
